BitronixTransaction (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm
Class BitronixTransaction

    java.lang.Object
      bitronix.tm.BitronixTransaction

All Implemented Interfaces:
  BitronixTransactionMBean, Transaction

    public class BitronixTransaction

extends Object
implements Transaction, BitronixTransactionMBean

Implementation of `Transaction`.

Author:
  lorban

Constructor Summary
`BitronixTransaction()`

Method Summary
`void` | `addTransactionStatusChangeListener(TransactionStatusChangeListener listener)`
`void` | `commit()`
`boolean` | `delistResource(XAResource xaResource, int flag)`
`boolean` | `enlistResource(XAResource xaResource)`
`boolean` | `equals(Object obj)`
`Collection` | `getEnlistedResourcesUniqueNames()`
`String` | `getGtrid()`
`XAResourceManager` | `getResourceManager()`
`Date` | `getStartDate()`
`int` | `getStatus()`
`String` | `getStatusDescription()`
`Scheduler<Synchronization>` | `getSynchronizationScheduler()`
`String` | `getThreadName()`
`int` | `hashCode()`
`void` | `registerSynchronization(Synchronization synchronization)`
`void` | `rollback()`
`void` | `setActive(int timeout)`
`void` | `setRollbackOnly()`
`void` | `setStatus(int status)`
`void` | `setStatus(int status, Set<String> uniqueNames)`
`boolean` | `timedOut()`
`void` | `timeout()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitronixTransaction

    public BitronixTransaction()

Method Detail

### getStatus

    public int getStatus()
                  throws SystemException

  Specified by:
    `getStatus` in interface `Transaction`
  Throws:
    `SystemException`

### enlistResource

    public boolean enlistResource(XAResource xaResource)
                           throws RollbackException,
                                  IllegalStateException,
                                  SystemException

  Specified by:
    `enlistResource` in interface `Transaction`
  Throws:
    `RollbackException`
    `IllegalStateException`
    `SystemException`

### delistResource

    public boolean delistResource(XAResource xaResource,
                                  int flag)
                           throws IllegalStateException,
                                  SystemException

  Specified by:
    `delistResource` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)
                                 throws RollbackException,
                                        IllegalStateException,
                                        SystemException

  Specified by:
    `registerSynchronization` in interface `Transaction`
  Throws:
    `RollbackException`
    `IllegalStateException`
    `SystemException`

### getSynchronizationScheduler

    public Scheduler<Synchronization> getSynchronizationScheduler()

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       SystemException

  Specified by:
    `commit` in interface `Transaction`
  Throws:
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `SecurityException`
    `SystemException`

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SystemException

  Specified by:
    `rollback` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### getResourceManager

    public XAResourceManager getResourceManager()

### timeout

    public void timeout()
                 throws BitronixSystemException

  Throws:
    `BitronixSystemException`

### timedOut

    public boolean timedOut()

### setActive

    public void setActive(int timeout)
                   throws IllegalStateException,
                          SystemException

  Throws:
    `IllegalStateException`
    `SystemException`

### setStatus

    public void setStatus(int status)
                   throws BitronixSystemException

  Throws:
    `BitronixSystemException`

### setStatus

    public void setStatus(int status,
                          Set<String> uniqueNames)
                   throws BitronixSystemException

  Throws:
    `BitronixSystemException`

### addTransactionStatusChangeListener

    public void addTransactionStatusChangeListener(TransactionStatusChangeListener listener)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getGtrid

    public String getGtrid()

  Specified by:
    `getGtrid` in interface `BitronixTransactionMBean`

### getStatusDescription

    public String getStatusDescription()

  Specified by:
    `getStatusDescription` in interface `BitronixTransactionMBean`

### getEnlistedResourcesUniqueNames

    public Collection getEnlistedResourcesUniqueNames()

  Specified by:
    `getEnlistedResourcesUniqueNames` in interface `BitronixTransactionMBean`

### getThreadName

    public String getThreadName()

  Specified by:
    `getThreadName` in interface `BitronixTransactionMBean`

### getStartDate

    public Date getStartDate()

  Specified by:
    `getStartDate` in interface `BitronixTransactionMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.